package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;

public class WitherTower extends ShootingTower {
    public WitherTower() {
        super(EntityType.WITHER, 18, 4, 13);
    }

    @Override
    protected void attack(EntityCreature enemy) {
        this.shootProjectile(enemy, EntityType.WITHER_SKULL, 2, 0);
    }

    @Override
    protected void onProjectileHit(EntityCreature enemy) {
        super.onProjectileHit(enemy);
    }
}
